Get protocol name associated with protocol number

- « getprotobyname

- getservbyname »

- PHP Manual
- Network Functions
- Get protocol name associated with protocol number

# getprotobynumber

(PHP 4, PHP 5, PHP 7, PHP 8)

getprotobynumber — Get protocol name associated with protocol number

### Description

getprotobynumber(int `$protocol`): string|false

getprotobynumber() returns the protocol name associated with protocol `protocol` as per /etc/protocols.

### Parameters

`protocol`

  The protocol number.

### Return Values

Returns the protocol name as a string, or `false` on failure.

### See Also

- getprotobyname() - Get protocol number associated with protocol name